Package org.snpeff.coverage

# Class CountReadsOnMarkers

java.lang.Object
org.snpeff.coverage.CountReadsOnMarkers

public class CountReadsOnMarkers extends Object
Count how many reads map (from many SAM/BAM files) onto markers

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static final int`
`MAX_EXONS_CHART`
`static final int`
`SHOW_EVERY`

## Constructor Summary

Constructors
Constructor
Description
`CountReadsOnMarkers(SnpEffectPredictor snpEffectPredictor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(String samFileName)`
Add a SAM/BAM file to be processed
`void`
`addMarkerType(Marker marker, String type)`
`void`
`count()`
Count markers from all files
`MarkerTypes`
`getMarkerTypes()`
`int`
`getReadLengthAvg()`
Average read length
`String`
`html()`
Show charts in html
`String`
`probabilityTable(CountByType prob)`
Show probabilities
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`
Print table to STDOUT

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

### MAX_EXONS_CHART

public static final int MAX_EXONS_CHART

See Also:
  - Constant Field Values

### debug

public static boolean debug

## Constructor Details

### CountReadsOnMarkers

public CountReadsOnMarkers(SnpEffectPredictor snpEffectPredictor)

## Method Details

### addFile

public void addFile(String samFileName)
Add a SAM/BAM file to be processed

Parameters:
  `samFileName` -

### addMarkerType

public void addMarkerType(Marker marker, String type)

### count

public void count()
Count markers from all files

### getMarkerTypes

public MarkerTypes getMarkerTypes()

### getReadLengthAvg

public int getReadLengthAvg()
Average read length

Returns:

### html

public String html()
Show charts in html

Returns:

### probabilityTable

public String probabilityTable(CountByType prob)
Show probabilities

Parameters:
  `prob` - : Probabilities for each
Returns:
  A string showing a tab delimited table

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()
Print table to STDOUT

Overrides:
  `toString` in class `Object`